## org.omg.PortableServer.POAPackage
Class InvalidPolicyHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.POAPackage.InvalidPolicyHelper

public class InvalidPolicyHelper
extends java.lang.Object

Helper class for : InvalidPolicy

Author:
  OpenORB Compiler

Constructor Summary
`InvalidPolicyHelper()`

Method Summary
`static InvalidPolicy` `extract(Any a)` Extract InvalidPolicy from an any
`static java.lang.String` `id()` Return the InvalidPolicy IDL ID
`static void` `insert(Any a, InvalidPolicy t)` Insert InvalidPolicy into an any
`static InvalidPolicy` `read(InputStream istream)` Read InvalidPolicy from a marshalled stream
`static TypeCode` `type()` Return the InvalidPolicy TypeCode
`static void` `write(OutputStream ostream, InvalidPolicy value)` Write InvalidPolicy into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvalidPolicyHelper

    public InvalidPolicyHelper()

Method Detail

### insert

    public static void insert(Any a,
                              InvalidPolicy t)

  Insert InvalidPolicy into an any
  Parameters:
    `a` - an any
    `t` - InvalidPolicy value

### extract

    public static InvalidPolicy extract(Any a)

  Extract InvalidPolicy from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted InvalidPolicy value

### type

    public static TypeCode type()

  Return the InvalidPolicy TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the InvalidPolicy IDL ID
  Returns:
    an ID

### read

    public static InvalidPolicy read(InputStream istream)

  Read InvalidPolicy from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed InvalidPolicy value

### write

    public static void write(OutputStream ostream,
                             InvalidPolicy value)

  Write InvalidPolicy into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - InvalidPolicy value